Put Settings (/iute/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/iute/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/iute/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/iute/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/iute/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/iute/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/iute/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/iute/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"environment": "test",
"country": "al",
"api_key_test": "<string>",
"api_key_live": "<string>",
"has_admin_key_test": true,
"admin_key_test_last4": "<string>",
"has_admin_key_live": true,
"admin_key_live_last4": "<string>",
"merchant_name": "<string>",
"widget_pdp": true,
"widget_cards": true,
"logo_color": "default",
"thank_you_screen": true,
"fast_checkout": true,
"pilot_emails": [
"<string>"
],
"pilot_live": true
},
"connection": {},
"status": {
"iute_allowed": true,
"enable_blockers": [
"<string>"
],
"last_webhook_at": "2023-11-07T05:31:56Z",
"rejected_signatures_24h": 123,
"iute_auto_paid": false,
"last_status_read_ok_at": "2023-11-07T05:31:56Z",
"in_checkout": false,
"pilot_required": false
},
"webhooks": {
"confirm_url": "<string>",
"cancel_url": "<string>"
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations & modules
Put Settings (/iute/settings)
Salvataggio PARZIALE: un campo assente resta com’è. Admin key: omessa = tenuta, null/"" = cancellata.
- 422
iute.settings_invalid,data.fields = [{field, type}];type:iute.api_key_invalid,iute.admin_key_invalid,plugin.secret_sealed(incollato un valoresbx1:),iute.merchant_name_too_long,iute.email_invalid(field=pilot_emails.<i>),iute.pilot_emails_too_many,iute.field_read_only(connection,merchant_id_*: li scrive solo la prova),extra_forbidden(campo sconosciuto, ancheiute_allowed), o il tipo Pydantic (literal_error,bool_type…); - 409
iute.not_configured/iute.connection_test_requiredcondata.while_enabled = true: a modulo acceso non si lascia l’ambiente attivo senza chiavi o senza prova; - 503
secrets.encryption_unconfigured.
Audit iute.settings_update con before/after OSCURATI (solo le voci cambiate, nessuna chiave) e
meta.keys_changed (i nomi dei campi chiave cambiati); nessun cambio, nessuna riga.
PUT
/
api
/
v1
/
admin
/
iute
/
settings
Put Settings (/iute/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/iute/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/iute/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/iute/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/iute/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/iute/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/iute/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/iute/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"environment": "test",
"country": "al",
"api_key_test": "<string>",
"api_key_live": "<string>",
"has_admin_key_test": true,
"admin_key_test_last4": "<string>",
"has_admin_key_live": true,
"admin_key_live_last4": "<string>",
"merchant_name": "<string>",
"widget_pdp": true,
"widget_cards": true,
"logo_color": "default",
"thank_you_screen": true,
"fast_checkout": true,
"pilot_emails": [
"<string>"
],
"pilot_live": true
},
"connection": {},
"status": {
"iute_allowed": true,
"enable_blockers": [
"<string>"
],
"last_webhook_at": "2023-11-07T05:31:56Z",
"rejected_signatures_24h": 123,
"iute_auto_paid": false,
"last_status_read_ok_at": "2023-11-07T05:31:56Z",
"in_checkout": false,
"pilot_required": false
},
"webhooks": {
"confirm_url": "<string>",
"cancel_url": "<string>"
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}